Subject: Re: [PATCH 0/4] some chainlint fixes and performance improvements

From: Junio C Hamano <[email-masked]>
Date: Thu, 30 Mar 2023 15:16:21 -0700

Jeff King <[email-masked]> writes:

> When the output is going to the terminal, then the terminal is consuming
> CPU, and the frequency scales up. So it's faster when we show the
> output, even though we're doing more work, because the CPU clock is
> faster.

That's disgustingly sick and crazy ;-).  But it does explain the symptom
and it sounds like that "powersave" is a poor match for measurement.

> Switching to the "performance" governor makes the problem go
> away.
> ...
> So no effect on the series (good), but I didn't want to leave the
> mystery unsolved on the list. :)

Thanks.